## qsampler 0.6.1

=== CMakeLists.txt ===
project(QSAMPLER)

cmake_minimum_required(VERSION 3.1)

set (VERSION "0.6.1")

set (CONFIG_VERSION ${VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
endif ()

set (PACKAGE_NAME "Qsampler")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "qsampler")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

if (CMAKE_BUILD_TYPE)
  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
else ()
  set (CONFIG_BUILD_TYPE "release")
endif ()

set (CONFIG_DEBUG 0)
if (CONFIG_BUILD_TYPE MATCHES "debug")
  set (CONFIG_DEBUG 1)
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Enable libgig availability.
option (CONFIG_LIBGIG "Enable libgig interface (default=yes)" 1)

# Enable unique/single instance.
option (CONFIG_XUNIQUE "Enable unique/single instance (default=yes)" 1)

# Enable debugger stack-trace option (assumes --enable-debug).
option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt
find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets)

if (CONFIG_XUNIQUE)
  find_package (Qt5 REQUIRED COMPONENTS Network)
endif ()

find_package (Qt5LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckFunctionExists)
include (CheckLibraryExists)

# Checks for libraries.
if (WIN32)
  check_function_exists (lroundf CONFIG_ROUND)
else ()
  find_library (MATH_LIBRARY m)
  # Check for round math function.
  if (MATH_LIBRARY)
    set (CMAKE_REQUIRED_LIBRARIES "${MATH_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
    check_function_exists (lroundf CONFIG_ROUND)
  else ()
    message (FATAL_ERROR "*** math library not found.")
  endif ()
endif ()

# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


# Find package modules
find_package (PkgConfig REQUIRED)

# Check for LSCP libraries.
pkg_check_modules (LSCP REQUIRED lscp)
if (LSCP_FOUND)
  set (CONFIG_LIBLSCP 1)
  include_directories (${LSCP_INCLUDE_DIRS})
  link_directories (${LSCP_LIBRARY_DIRS})
# link_libraries (${LSCP_LIBRARIES})
  set (CMAKE_REQUIRED_LIBRARIES "${LSCP_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  # Check for for instrument_name in lscp_channel_info_t.
  check_include_file (lscp/client.h HAVE_LSCP_CLIENT_H)
  if (NOT HAVE_LSCP_CLIENT_H)
    set (CONFIG_INSTRUMENT_NAME 0)
  else ()
    set (CONFIG_INSTRUMENT_NAME 1)    
  endif ()
  # Check for mute/solo in lscp_channel_info_t.
  if (NOT HAVE_LSCP_CLIENT_H)
    set (CONFIG_MUTE_SOLO 0)
  else ()
    set (CONFIG_MUTE_SOLO 1)    
  endif ()
  if (CONFIG_MUTE_SOLO)
    check_function_exists (lscp_set_channel_mute CONFIG_MUTE_SOLO)
  endif ()
  if (CONFIG_MUTE_SOLO)
    check_function_exists (lscp_set_channel_solo CONFIG_MUTE_SOLO)
  endif ()
  # Check if MIDI instrument mapping is available.
  check_function_exists (lscp_map_midi_instrument CONFIG_MIDI_INSTRUMENT)
  # Check if FX sends is available.
  check_function_exists (lscp_create_fxsend CONFIG_FXSEND)
  # Check for FX send level in lscp_fxsend_info_t
  if (CONFIG_FXSEND)
    if (NOT HAVE_LSCP_CLIENT_H)
      set (CONFIG_FXSEND_LEVEL 0)
    else ()
      set (CONFIG_FXSEND_LEVEL 1)    
    endif ()
  endif ()
  # Check if FX send rename is available.
  if (CONFIG_FXSEND)
    check_function_exists (lscp_set_fxsend_name CONFIG_FXSEND_RENAME)
  endif ()
  # Check for audio_routing array type
  if (NOT HAVE_LSCP_CLIENT_H)
    set (CONFIG_AUDIO_ROUTING 0)
  else ()
    set (CONFIG_AUDIO_ROUTING 1)    
  endif ()
  # Check if global volume is available.
  check_function_exists (lscp_set_volume CONFIG_VOLUME)
  # Check if instrument editing is available.
  check_function_exists (lscp_edit_channel_instrument CONFIG_EDIT_INSTRUMENT)
  # Check for CHANNEL_MIDI LSCP event support in liblscp],
  check_include_file (lscp/event.h HAVE_LSCP_EVENT_H)
  if (NOT HAVE_LSCP_EVENT_H)
    set (CONFIG_EVENT_CHANNEL_MIDI 0)
  else ()
    set (CONFIG_EVENT_CHANNEL_MIDI 1)    
  endif ()
  # Check for DEVICE_MIDI LSCP event support in liblscp],
  if (NOT HAVE_LSCP_EVENT_H)
    set (CONFIG_EVENT_DEVICE_MIDI 0)
  else ()
    set (CONFIG_EVENT_DEVICE_MIDI 1)    
  endif ()
  # Check if max. voices / streams is available.
  check_function_exists (lscp_get_voices CONFIG_MAX_VOICES)
else ()
  message (FATAL_ERROR "*** LSCP library not found.")
  set (CONFIG_LIBLSCP 0)
endif ()

# Check for GIG libraries.
if (CONFIG_LIBGIG)
  pkg_check_modules (GIG gig>=3.3.0)
  if (GIG_FOUND)
    include_directories (${GIG_INCLUDE_DIRS})
    link_directories (${GIG_LIBRARY_DIRS})
    link_libraries (${GIG_LIBRARIES})
#   set (CMAKE_REQUIRED_LIBRARIES "${GIG_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
    # liggig supports fast information retrieval.
    set (CONFIG_LIBGIG_SETAUTOLOAD 1)
    # Check if libgig/SF.h is available.
    check_include_file_cxx (libgig/SF.h HAVE_LIBGIG_SF_H)
    if (NOT HAVE_LIBGIG_SF_H)
      set (CONFIG_LIBGIG_SF2 0)
    else ()
      set (CONFIG_LIBGIG_SF2 1)    
    endif ()
  else ()
    message (WARNING "*** GIG library not found.")
    set (CONFIG_LIBGIG 0)
  endif ()
endif ()


add_subdirectory (src)

configure_file (qsampler.spec.in qsampler.spec IMMEDIATE @ONLY)

install (FILES qsampler.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install (FILES qsampler.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME qsampler.1)

# Configuration status
macro (SHOW_OPTION text value)
  if (${value})
    message ("${text}: yes")
  else ()
    message ("${text}: no")
  endif ()
endmacro ()


message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}")
message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
show_option ("  LSCP instrument name support . . . . . . . . . . ." CONFIG_INSTRUMENT_NAME)
show_option ("  LSCP mute/solo support . . . . . . . . . . . . . ." CONFIG_MUTE_SOLO)
show_option ("  LSCP MIDI instrument support . . . . . . . . . . ." CONFIG_MIDI_INSTRUMENT)
show_option ("  LSCP FX send support . . . . . . . . . . . . . . ." CONFIG_FXSEND)
show_option ("  LSCP FX send level support . . . . . . . . . . . ." CONFIG_FXSEND_LEVEL)
show_option ("  LSCP FX send rename support  . . . . . . . . . . ." CONFIG_FXSEND_RENAME)
show_option ("  LSCP audio routing support . . . . . . . . . . . ." CONFIG_AUDIO_ROUTING)
show_option ("  LSCP volume support  . . . . . . . . . . . . . . ." CONFIG_VOLUME)
show_option ("  LSCP edit instrument support . . . . . . . . . . ." CONFIG_EDIT_INSTRUMENT)
show_option ("  GigaSampler instrument file support (libgig) . . ." CONFIG_LIBGIG)
if (CONFIG_LIBGIG)
show_option ("  libgig supports fast information retrieval . . . ." CONFIG_LIBGIG_SETAUTOLOAD)
show_option ("  libgig supports SoundFont2 instruments files . . ." CONFIG_LIBGIG_SF2)
endif ()
show_option ("  LSCP channel MIDI event support  . . . . . . . . ." CONFIG_EVENT_CHANNEL_MIDI)
show_option ("  LSCP device MIDI event support . . . . . . . . . ." CONFIG_EVENT_DEVICE_MIDI)
show_option ("  LSCP runtime max. voices / disk streams support  ." CONFIG_MAX_VOICES)
message     ("")
show_option ("  Unique/Single instance support . . . . . . . . . ." CONFIG_XUNIQUE)
show_option ("  Debugger stack-trace (gdb) . . . . . . . . . . . ." CONFIG_STACKTRACE)
message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
set(NAME qsampler)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  qsampler.h
  qsamplerAbout.h
  qsamplerOptions.h
  qsamplerChannel.h
  qsamplerMessages.h
  qsamplerInstrument.h
  qsamplerInstrumentList.h
  qsamplerDevice.h
  qsamplerFxSend.h
  qsamplerFxSendsModel.h
  qsamplerUtilities.h
  qsamplerInstrumentForm.h
  qsamplerInstrumentListForm.h
  qsamplerDeviceForm.h
  qsamplerDeviceStatusForm.h
  qsamplerChannelStrip.h
  qsamplerChannelForm.h
  qsamplerChannelFxForm.h
  qsamplerOptionsForm.h
  qsamplerPaletteForm.h
  qsamplerMainForm.h
)

set (SOURCES
  qsampler.cpp
  qsamplerOptions.cpp
  qsamplerChannel.cpp
  qsamplerMessages.cpp
  qsamplerInstrument.cpp
  qsamplerInstrumentList.cpp
  qsamplerDevice.cpp
  qsamplerFxSend.cpp
  qsamplerFxSendsModel.cpp
  qsamplerUtilities.cpp
  qsamplerInstrumentForm.cpp
  qsamplerInstrumentListForm.cpp
  qsamplerDeviceForm.cpp
  qsamplerDeviceStatusForm.cpp
  qsamplerChannelStrip.cpp
  qsamplerChannelForm.cpp
  qsamplerChannelFxForm.cpp
  qsamplerOptionsForm.cpp
  qsamplerPaletteForm.cpp
  qsamplerMainForm.cpp
)

set (FORMS
  qsamplerInstrumentForm.ui
  qsamplerInstrumentListForm.ui
  qsamplerDeviceForm.ui
  qsamplerChannelStrip.ui
  qsamplerChannelForm.ui
  qsamplerChannelFxForm.ui
  qsamplerOptionsForm.ui
  qsamplerPaletteForm.ui
  qsamplerMainForm.ui
)

set (RESOURCES
  qsampler.qrc
)

set (TRANSLATIONS
  translations/qsampler_cs.ts
  translations/qsampler_fr.ts
  translations/qsampler_ru.ts
)

qt5_add_translation ( QM_FILES ${TRANSLATIONS} )
add_custom_target( translations ALL DEPENDS ${QM_FILES} )

qt5_wrap_ui (UI_SOURCES ${FORMS})
qt5_wrap_cpp (MOC_SOURCES ${HEADERS})
qt5_add_resources (QRC_SOURCES ${RESOURCES})

if (WIN32)
  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${NAME}.rc)
  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.res.obj)
  find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
  if (MINGW)
    exec_program (${WINDRES_EXECUTABLE}
      ARGS "-i ${RC_FILE} -o ${RES_FILE} --include-dir=${CMAKE_CURRENT_SOURCE_DIR}/images")
    list (APPEND SOURCES ${RES_FILE})
  else ()
    list (APPEND SOURCES ${RC_FILE})
  endif ()
endif ()

if (APPLE)
  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${NAME}.icns)
  list (APPEND SOURCES ${ICON_FILE})
  set (MACOSX_BUNDLE_ICON_FILE ${NAME}.icns)
  set_source_files_properties (${ICON_FILE} PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources)
endif ()


add_executable (${NAME}
  ${UI_SOURCES}
  ${MOC_SOURCES}
  ${QRC_SOURCES}
  ${SOURCES}
)

set_target_properties (${NAME} PROPERTIES CXX_STANDARD 11)

if (WIN32)
  set_target_properties (${NAME} PROPERTIES WIN32_EXECUTABLE true)
endif ()

if (APPLE)
  set_target_properties (${NAME} PROPERTIES MACOSX_BUNDLE true)
endif ()

target_link_libraries (${NAME} PRIVATE Qt5::Widgets)

if (CONFIG_XUNIQUE)
  target_link_libraries (${NAME} PRIVATE Qt5::Network)
endif ()

if (CONFIG_LIBLSCP)
  target_link_libraries (${NAME} PRIVATE ${LSCP_LIBRARIES})
endif ()

if (CONFIG_LIBGIG)
  target_link_libraries (${NAME} PRIVATE ${GIG_LIBRARIES})
endif ()


if (UNIX AND NOT APPLE)
  install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
  install (FILES ${NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES images/${NAME}.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
  install (FILES appdata/${NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
  install (FILES mimetypes/${NAME}.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
  install (FILES mimetypes/application-x-${NAME}-session.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/mimetypes)
  install (FILES mimetypes/application-x-${NAME}-session.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/mimetypes)
endif ()

if (WIN32)
   install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
   install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
endif ()

## qsampler 0.2.2

=== debian/changelog ===
qsampler (0.2.2-5) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 21:28:31 +0100

qsampler (0.2.2-4) experimental; urgency=low

  * Add -lX11 to $LIBS to fix FTBFS with binutils-gold.

 -- Alessio Treglia <alessio@debian.org>  Fri, 26 Nov 2010 11:19:24 +0100

qsampler (0.2.2-3) experimental; urgency=low

  * Upload to experimental to build against new liblscp.

 -- Alessio Treglia <alessio@debian.org>  Thu, 04 Nov 2010 14:55:10 +0100

qsampler (0.2.2-2) unstable; urgency=low

  * Adjust versioned build-dependencies to ease backporter's life.
  * Suggests linuxsampler (LP: #36326).
  * Update my email address.
  * Update Standards-Version to 3.9.1.
  * Switch to format 3.0 (quilt):
    - debian/control: Drop quilt build-dependency.
    - debian/rules:
      + Drop DH's quilt add-on.
      + get-orig-source is no longer needed.
      + A bit of cleanup.
    - debian/source/format: Set 3.0 (quilt).
  * Add gbp.conf file.
  * Add .gitignore file.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Aug 2010 13:08:31 +0200

qsampler (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Repack the tarball to remove upstream's debian dir:
    - debian/rules: Use the get-orig-source target to retrieve an updated
      tarball.
    - Remove debian/README.Debian, we don't follow those instructions to make
      the package.
  * Switch to debhelper 7.
  * Replace dpatch system with quilt.
  * Remove all old patches, now unnecessary.
  * debian/patches/01-fix_desktop.patch:
    - Fix desktop file as per spec.
  * debian/patches/02-pass_flags_to_make.patch:
    - Pass CFLAGS/CXXFLAGS to the compiler.
  * Add debian/menu file.
  * Also install 32x32px icon (in XPM format).
  * debian/control:
    - Bump Standards.
    - Set Debian Multimedia Maintainers as Maintainer.
    - Add myself to Uploaders.
    - Replace versioned automake build-dependency with automake.
    - Build-depend on libx11-dev.
  * debian/copyright:
    - Update copyiright periods.
    - Add a comment about the tarball repacking.
  * Remove debian/qsampler.desktop, unnecessary.
  * debian/docs: Don't install the AUTHORS file, information provided by the
    copyright file are enough.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 10 Dec 2009 21:07:40 +0100

qsampler (0.2.1-1) unstable; urgency=low

  * New upstream release
  * Uploaded to Debian (Closes: #280576)

 -- Free Ekanayaka <freee@debian.org>  Thu, 28 Aug 2008 08:43:21 +0100

qsampler (0.1.2-0ubuntu3) hardy; urgency=low

  * Rebuild for liblscp -> liblscp2 transition.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 07 Dec 2007 00:33:11 +0100

qsampler (0.1.2-0ubuntu2) gutsy; urgency=low

  * Rebuild for libgig3c2 -> libgig6 library transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 17 Aug 2007 01:28:39 +1000

qsampler (0.1.2-0ubuntu1) dapper; urgency=low

  * Release for Dapper.

 -- Dana Olson <dana@ubuntustudio.com>  Tue, 21 Feb 2006 06:37:25 -0500

qsampler (0.1.1-1) unstable; urgency=low

  * New Release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Sun, 12 Jun 2005 16:53:50 +0200

qsampler (0.1.cvs20050602-1) unstable; urgency=low

  * Released (Closes: #280576)

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Fri,  3 Jun 2005 15:27:44 +1000

qsampler (0.1.0-1) unstable; urgency=low

  * New Release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Wed, 25 May 2005 04:02:07 +0200

qsampler (0.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Mon, 28 Feb 2005 21:20:51 +0100

=== debian/control ===
Source: qsampler
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 liblscp-dev (>= 0.5.6),
 libgig-dev (>= 3.1.0),
 libqt4-dev,
 libtool,
 libx11-dev,
 automake
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/qsampler.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qsampler.git
Homepage: http://qsampler.sf.net/

Package: qsampler
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: linuxsampler
Description: LinuxSampler GUI frontend based on the Qt toolkit
 QSampler is a LinuxSampler GUI front-end application written in C++ around
 the Qt3 toolkit using Qt Designer. At the moment it just wraps as a client
 reference interface for the LinuxSampler Control Protocol (LSCP).

=== debian/rules ===
#!/usr/bin/make -f

export QT_CFLAGS := $(CFLAGS)
export QT_CXXFLAGS := $(CXXFLAGS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv debian/qsampler/usr/share/locale/qsampler_*.qm \
		debian/qsampler/usr/share/qsampler/
	rm -rf debian/qsampler/usr/share/locale/

=== debian/watch ===
version=3
http://download.linuxsampler.org/packages/qsampler-(.*)\.tar\.gz

## qsampler 0.3.0

=== debian/changelog ===
qsampler (0.3.0-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0
  * Fix VCS fields.
  * Removed patches - they don't apply anymore.
  * Add desktop patch.
  * Add description to patch.
  * Install upstream desktop file.
  * Update copyright file.
  * Enable parallel build.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 26 Apr 2015 17:30:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>,
- Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
+Build-Depends: debhelper (>= 9),
  liblscp-dev (>= 0.5.6),
  libgig-dev (>= 3.1.0),
  libqt4-dev,
  libtool,
  libx11-dev,
  automake
-Standards-Version: 3.9.1
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/qsampler.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qsampler.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsampler.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsampler.git
 Homepage: http://qsampler.sf.net/
 
 Package: qsampler

=== debian/rules ===
#!/usr/bin/make -f

export QT_CFLAGS := $(CFLAGS)
export QT_CXXFLAGS := $(CXXFLAGS)

%:
	dh $@ --parallel

## qsampler 0.3.1

=== debian/changelog ===
qsampler (0.3.1-1) unstable; urgency=medium

  * Imported Upstream version 0.3.1
  * Build with qt5.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 03 Sep 2015 05:49:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends: debhelper (>= 9),
+ pkg-config,
+ qtbase5-dev,
+ qttools5-dev-tools,
  liblscp-dev (>= 0.5.6),
  libgig-dev (>= 3.1.0),
- libqt4-dev,
  libtool,
  libx11-dev,
  automake

=== debian/rules ===
#!/usr/bin/make -f

export QT_CFLAGS := $(CFLAGS)
export QT_CXXFLAGS := $(CXXFLAGS)

export QT_SELECT=qt5

%:
	dh $@ --parallel

=== debian/watch ===
version=3
http://sf.net/qsampler/qsampler-([\d.]+)\.tar\.gz

## qsampler 0.4.0

=== debian/changelog ===
qsampler (0.4.0-2) unstable; urgency=medium

  * Add patch to build with gcc6. (Closes: #831111)
  * Build with dh-autoreconf.
  * Tune .gitignore file.
  * Update copyright file.
  * Simplify gbp.conf file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Jul 2016 23:12:43 +0200

qsampler (0.4.0-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0
  * Bump Standards.
  * Fix VCS fields.
  * Add libqt5x11extras5-dev as build-dep.
  * Remove patch - fixed upstream.
  * Remove menu file.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 17 Jun 2016 10:40:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends: debhelper (>= 9),
+ dh-autoreconf,
  pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
+ libqt5x11extras5-dev,
  liblscp-dev (>= 0.5.6),
  libgig-dev (>= 3.1.0),
  libtool,
  libx11-dev,
  automake
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsampler.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsampler.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsampler.git
 Homepage: http://qsampler.sf.net/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT=qt5

%:
	dh $@ --parallel --with autoreconf

## qsampler 0.4.2

=== debian/changelog ===
qsampler (0.4.2-2) unstable; urgency=medium

  * Add patch to build reproducible. (Closes: #845007)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 20 Nov 2016 17:17:32 +0100

qsampler (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Patch refreshed.
  * Set dh/compat 10.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 14 Nov 2016 22:20:17 +0100

qsampler (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Patch applied upstream.
  * Enable debugging.
  * Drop dirs file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Sep 2016 15:57:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-autoreconf,
  pkg-config,
  qtbase5-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT=qt5

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-debug

## qsampler 0.4.3

=== debian/changelog ===
qsampler (0.4.3-1) unstable; urgency=medium

  * Patch forwarded.
  * Drop autoreconf - not needed with compat 10.
  * New upstream version 0.4.3
  * Sign tags.
  * Bump Standards.
  * Revert fix dh version.
  * Update copyright file.
  * Restore .gitignore file.
  * Patch applied upstream - removed.
  * Add override file.
  * Avoid useless linking.
  * Install upstream man pages.
  * Install upstream icons only.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 03 Jul 2017 01:35:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 10),
- dh-autoreconf,
+Build-Depends: debhelper (>= 10~),
  pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
@@ -16,7 +15,7 @@
  libtool,
  libx11-dev,
  automake
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsampler.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsampler.git
 Homepage: http://qsampler.sf.net/

## qsampler 0.5.0

=== debian/changelog ===
qsampler (0.5.0-1build1) bionic; urgency=medium

  * No-change rebuild against latest libgig

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 30 Jan 2018 18:21:26 -0500

qsampler (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Bump Standards.
  * Vcs - use git instead of cgit.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Use secure uri where possible.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 14 Dec 2017 21:20:46 +0100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  libtool,
  libx11-dev,
  automake
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsampler.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsampler.git
-Homepage: http://qsampler.sf.net/
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/qsampler.git
+Homepage: https://qsampler.sourceforge.io/
 
 Package: qsampler
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-debug

## qsampler 0.6.1

=== debian/changelog ===
qsampler (0.6.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:33 +0100

qsampler (0.6.1-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * Update d/copyright (http -> https)

  [ Dennis Braun ]
  * New upstream release
  * Update d/copyright years

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Jan 2020 15:01:05 +0100

qsampler (0.5.6-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release.
    - Use AC_PATH_TOOL (Closes: #914901)
  * debian/control:
    - Bump debhelper compat to 12
    - Bump Standards-Version
  * debian/copyright: Add appdata paragraph.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Sep 2019 20:11:03 +0200

=== debian/control ===
Source: qsampler
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper-compat (= 12),
 pkg-config,
 qtbase5-dev,
 qttools5-dev-tools,
 libqt5x11extras5-dev,
 liblscp-dev (>= 0.5.6),
 libgig-dev (>= 3.1.0),
 libtool,
 libx11-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/qsampler.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qsampler
Homepage: https://qsampler.sourceforge.io/

Package: qsampler
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: linuxsampler
Description: LinuxSampler GUI frontend based on the Qt toolkit
 QSampler is a LinuxSampler GUI front-end application written in C++ around
 the Qt3 toolkit using Qt Designer. At the moment it just wraps as a client
 reference interface for the LinuxSampler Control Protocol (LSCP).

=== debian/watch ===
version=3
https://sf.net/qsampler/qsampler-([\d.]+)\.tar\.gz

## qsampler 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.6.1")
+set (VERSION "0.6.3")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (

=== debian/changelog ===
qsampler (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Bump dh-compat to 13
  * Remove obsolete linker flags in d/rules

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Aug 2020 18:42:36 +0200

qsampler (0.6.2-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.6.2
  * Add d/upstream/metadata
  * Disable debugging
  * Update d/copyright year
  * Add me as uploader
  * Set RRR: no
  * Fix french manpage installation
  * Drop lintian-overrides

  [ Sebastian Ramacher ]
  * debian/: Switch to cmake

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 29 Mar 2020 23:33:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,25 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper-compat (= 12),
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libgig-dev (>= 3.1.0),
+ liblscp-dev (>= 0.5.6),
+ libqt5x11extras5-dev,
+ libtool,
+ libx11-dev,
  pkg-config,
  qtbase5-dev,
- qttools5-dev-tools,
- libqt5x11extras5-dev,
- liblscp-dev (>= 0.5.6),
- libgig-dev (>= 3.1.0),
- libtool,
- libx11-dev
+ qttools5-dev,
+ qttools5-dev-tools
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/qsampler.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qsampler
 Homepage: https://qsampler.sourceforge.io/
+Rules-Requires-Root: no
 
 Package: qsampler
 Architecture: any

## qsampler 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-project(QSAMPLER)
-
-cmake_minimum_required(VERSION 3.1)
-
-set (VERSION "0.6.3")
-
-set (CONFIG_VERSION ${VERSION})
+cmake_minimum_required(VERSION 3.10)
+
+project(qsampler
+  VERSION 0.9.1
+  DESCRIPTION "A LinuxSampler Qt GUI Interface"
+  LANGUAGES C CXX)
+
+set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
@@ -12,8 +13,7 @@
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
-  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
   string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
   execute_process (
@@ -24,6 +24,8 @@
   if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
     set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
   endif ()
+else ()
+  set (VERSION "${PROJECT_VERSION}")
 endif ()
 
 set (PACKAGE_NAME "Qsampler")
@@ -70,13 +72,14 @@
 endif ()
 
 # Check for Qt
-find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets)
+find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
 
 if (CONFIG_XUNIQUE)
-  find_package (Qt5 REQUIRED COMPONENTS Network)
-endif ()
-
-find_package (Qt5LinguistTools)
+  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
+endif ()
+
+find_package (Qt${QT_VERSION_MAJOR}LinguistTools)
 
 include (CheckIncludeFile)
 include (CheckIncludeFiles)
@@ -108,7 +111,7 @@
 find_package (PkgConfig REQUIRED)
 
 # Check for LSCP libraries.
-pkg_check_modules (LSCP REQUIRED lscp)
+pkg_check_modules (LSCP REQUIRED IMPORTED_TARGET lscp)
 if (LSCP_FOUND)
   set (CONFIG_LIBLSCP 1)
   include_directories (${LSCP_INCLUDE_DIRS})
@@ -182,7 +185,7 @@
 
 # Check for GIG libraries.
 if (CONFIG_LIBGIG)
-  pkg_check_modules (GIG gig>=3.3.0)
+  pkg_check_modules (GIG IMPORTED_TARGET gig>=3.3.0)
   if (GIG_FOUND)
     include_directories (${GIG_INCLUDE_DIRS})
     link_directories (${GIG_LIBRARY_DIRS})

=== src/CMakeLists.txt ===
# project(qsampler)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
endif()
configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  qsampler.h
  qsamplerAbout.h
  qsamplerOptions.h
  qsamplerChannel.h
  qsamplerMessages.h
  qsamplerInstrument.h
  qsamplerInstrumentList.h
  qsamplerDevice.h
  qsamplerFxSend.h
  qsamplerFxSendsModel.h
  qsamplerUtilities.h
  qsamplerInstrumentForm.h
  qsamplerInstrumentListForm.h
  qsamplerDeviceForm.h
  qsamplerDeviceStatusForm.h
  qsamplerChannelStrip.h
  qsamplerChannelForm.h
  qsamplerChannelFxForm.h
  qsamplerOptionsForm.h
  qsamplerPaletteForm.h
  qsamplerMainForm.h
)

set (SOURCES
  qsampler.cpp
  qsamplerOptions.cpp
  qsamplerChannel.cpp
  qsamplerMessages.cpp
  qsamplerInstrument.cpp
  qsamplerInstrumentList.cpp
  qsamplerDevice.cpp
  qsamplerFxSend.cpp
  qsamplerFxSendsModel.cpp
  qsamplerUtilities.cpp
  qsamplerInstrumentForm.cpp
  qsamplerInstrumentListForm.cpp
  qsamplerDeviceForm.cpp
  qsamplerDeviceStatusForm.cpp
  qsamplerChannelStrip.cpp
  qsamplerChannelForm.cpp
  qsamplerChannelFxForm.cpp
  qsamplerOptionsForm.cpp
  qsamplerPaletteForm.cpp
  qsamplerMainForm.cpp
)

set (FORMS
  qsamplerInstrumentForm.ui
  qsamplerInstrumentListForm.ui
  qsamplerDeviceForm.ui
  qsamplerChannelStrip.ui
  qsamplerChannelForm.ui
  qsamplerChannelFxForm.ui
  qsamplerOptionsForm.ui
  qsamplerPaletteForm.ui
  qsamplerMainForm.ui
)

set (RESOURCES
  qsampler.qrc
)

set (TRANSLATIONS
  translations/qsampler_cs.ts
  translations/qsampler_fr.ts
  translations/qsampler_ru.ts
)

if (QT_VERSION VERSION_LESS 5.15.0)
  qt5_add_translation (QM_FILES ${TRANSLATIONS})
else ()
  qt_add_translation (QM_FILES ${TRANSLATIONS})
endif ()

add_custom_target (translations ALL DEPENDS ${QM_FILES})

if (WIN32)
  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${PROJECT_NAME}.rc)
  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.res.obj)
  find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
  if (MINGW)
    exec_program (${WINDRES_EXECUTABLE}
      ARGS "-i ${RC_FILE} -o ${RES_FILE} --include-dir=${CMAKE_CURRENT_SOURCE_DIR}/images")
    list (APPEND SOURCES ${RES_FILE})
  else ()
    list (APPEND SOURCES ${RC_FILE})
  endif ()
endif ()

if (APPLE)
  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${PROJECT_NAME}.icns)
  list (APPEND SOURCES ${ICON_FILE})
  set (MACOSX_BUNDLE_ICON_FILE ${PROJECT_NAME}.icns)
  set_source_files_properties (${ICON_FILE} PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources)
endif ()


add_executable (${PROJECT_NAME}
  ${HEADERS}
  ${SOURCES}
  ${FORMS}
  ${RESOURCES}
)

set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)

if (WIN32)
  set_target_properties (${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE true)
endif ()

if (APPLE)
  set_target_properties (${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE true)
endif ()

target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

if (CONFIG_XUNIQUE)
  target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Network)
endif ()

if (CONFIG_LIBLSCP)
  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::LSCP)
endif ()

if (CONFIG_LIBGIG)
  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::GIG)
endif ()


if (UNIX AND NOT APPLE)
  install (TARGETS ${PROJECT_NAME} RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
  install (FILES ${PROJECT_NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${PROJECT_NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES images/${PROJECT_NAME}.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
  install (FILES appdata/${PROJECT_NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
  install (FILES mimetypes/${PROJECT_NAME}.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
  install (FILES mimetypes/application-x-${PROJECT_NAME}-session.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/mimetypes)
  install (FILES mimetypes/application-x-${PROJECT_NAME}-session.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/mimetypes)
endif ()

if (WIN32)
   install (TARGETS ${PROJECT_NAME} RUNTIME
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
   install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
endif ()

=== debian/changelog ===
qsampler (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Update d/copyright year
  * d/copyright: Add myself to the d/ section

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 08 Feb 2021 18:28:41 +0100

qsampler (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Bump S-V to 4.5.1, no changes needed
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 18 Dec 2020 22:36:08 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  qtbase5-dev,
  qttools5-dev,
  qttools5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/qsampler.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qsampler
 Homepage: https://qsampler.sourceforge.io/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

%:
	dh $@ -Scmake

## qsampler 0.9.4

=== debian/changelog ===
qsampler (0.9.4-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Oct 2021 17:43:48 -0400

qsampler (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Bump Standards-Version to 4.6.0
  * debian/rules: Atm debian archive has no qt6, we compile with --disable-qt6

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 23 Aug 2021 21:44:03 +0200

## qsampler 0.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,27 @@
-cmake_minimum_required(VERSION 3.10)
-
-project(qsampler
-  VERSION 0.9.1
+cmake_minimum_required (VERSION 3.13)
+
+project (qsampler
+  VERSION 0.9.5
   DESCRIPTION "A LinuxSampler Qt GUI Interface"
   LANGUAGES C CXX)
 
 set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
+  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
   RESULT_VARIABLE GIT_DESCRIBE_RESULT
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
   string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^1_"      "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
-  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
+  string (REGEX REPLACE "[_|-]"   "." VERSION "${VERSION}")
   execute_process (
     COMMAND git rev-parse --abbrev-ref HEAD
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
     RESULT_VARIABLE GIT_REVPARSE_RESULT
     OUTPUT_STRIP_TRAILING_WHITESPACE)
@@ -34,17 +38,21 @@
 set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 set (PACKAGE_TARNAME "qsampler")
 
+set (ac_version "${PROJECT_VERSION}")
+set (ac_prefix "${CMAKE_INSTALL_PREFIX}")
+
 set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")
 
-if (CMAKE_BUILD_TYPE)
-  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
+if (CONFIG_DEBUG)
+  set (CMAKE_BUILD_TYPE "Debug")
+endif ()
+if (CMAKE_BUILD_TYPE MATCHES "Debug")
+  set (CONFIG_DEBUG 1)
+endif ()
+if (CONFIG_DEBUG)
+  set (CONFIG_BUILD_TYPE "debug")
 else ()
   set (CONFIG_BUILD_TYPE "release")
-endif ()
-
-set (CONFIG_DEBUG 0)
-if (CONFIG_BUILD_TYPE MATCHES "debug")
-  set (CONFIG_DEBUG 1)
 endif ()
 
 set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")
@@ -66,13 +74,29 @@
 option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)
 
 
+# Enable Qt6 build preference.
+option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
+
+
 # Fix for new CMAKE_REQUIRED_LIBRARIES policy.
 if (POLICY CMP0075)
   cmake_policy (SET CMP0075 NEW)
 endif ()
 
-# Check for Qt
-find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+# Check for Qt...
+if (CONFIG_QT6)
+  find_package (Qt6 QUIET)
+  if (NOT Qt6_FOUND)
+    set (CONFIG_QT6 0)
+  endif ()
+endif ()
+
+if (CONFIG_QT6)
+  find_package (QT QUIET NAMES Qt6)
+else ()
+  find_package (QT QUIET NAMES Qt5)
+endif ()
+
 find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
 
 if (CONFIG_XUNIQUE)
@@ -108,16 +132,16 @@
 
 
 # Find package modules
-find_package (PkgConfig REQUIRED)
+include (FindPkgConfig)
 
 # Check for LSCP libraries.
 pkg_check_modules (LSCP REQUIRED IMPORTED_TARGET lscp)
 if (LSCP_FOUND)
+  find_library(LSCP_LIBRARY NAMES ${LSCP_LIBRARIES} HINTS ${LSCP_LIBDIR})
+endif ()
+if (LSCP_LIBRARY)
   set (CONFIG_LIBLSCP 1)
-  include_directories (${LSCP_INCLUDE_DIRS})
-  link_directories (${LSCP_LIBRARY_DIRS})
-# link_libraries (${LSCP_LIBRARIES})
-  set (CMAKE_REQUIRED_LIBRARIES "${LSCP_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
+  set (CMAKE_REQUIRED_LIBRARIES "${LSCP_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
   # Check for for instrument_name in lscp_channel_info_t.
   check_include_file (lscp/client.h HAVE_LSCP_CLIENT_H)
   if (NOT HAVE_LSCP_CLIENT_H)
@@ -187,10 +211,11 @@
 if (CONFIG_LIBGIG)
   pkg_check_modules (GIG IMPORTED_TARGET gig>=3.3.0)
   if (GIG_FOUND)
-    include_directories (${GIG_INCLUDE_DIRS})
-    link_directories (${GIG_LIBRARY_DIRS})
-    link_libraries (${GIG_LIBRARIES})
-#   set (CMAKE_REQUIRED_LIBRARIES "${GIG_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
+    find_library(GIG_LIBRARY NAMES ${GIG_LIBRARIES} HINTS ${GIG_LIBDIR})
+  endif ()
+  if (GIG_LIBRARY)
+    set (CONFIG_LIBGIG 1)
+   #set (CMAKE_REQUIRED_LIBRARIES "${GIG_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
     # liggig supports fast information retrieval.
     set (CONFIG_LIBGIG_SETAUTOLOAD 1)
     # Check if libgig/SF.h is available.
@@ -224,7 +249,7 @@
 endmacro ()
 
 
-message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}")
+message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION} (Qt ${QT_VERSION})")
 message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
 show_option ("  LSCP instrument name support . . . . . . . . . . ." CONFIG_INSTRUMENT_NAME)
 show_option ("  LSCP mute/solo support . . . . . . . . . . . . . ." CONFIG_MUTE_SOLO)
@@ -246,5 +271,4 @@
 message     ("")
 show_option ("  Unique/Single instance support . . . . . . . . . ." CONFIG_XUNIQUE)
 show_option ("  Debugger stack-trace (gdb) . . . . . . . . . . . ." CONFIG_STACKTRACE)
-message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
-message   ("\nNow type 'make', followed by 'make install' as root.\n")
+message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}\n")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-# project(qsampler)
+# project (qsampler)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
+set (CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(CMAKE_AUTOUIC ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
+set (CMAKE_AUTOUIC ON)
+set (CMAKE_AUTOMOC ON)
+set (CMAKE_AUTORCC ON)
 
 if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
-    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
-endif()
-configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+  file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+endif ()
+configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 set (HEADERS
   qsampler.h
@@ -117,6 +117,12 @@
   ${RESOURCES}
 )
 
+# Add some debugger flags.
+if (CONFIG_DEBUG AND UNIX AND NOT APPLE)
+  target_compile_options (${PROJECT_NAME} PRIVATE -g -fsanitize=address -fno-omit-frame-pointer)
+  target_link_libraries (${PROJECT_NAME} PRIVATE asan)
+endif ()
+
 set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)
 
 if (WIN32)
@@ -147,13 +153,13 @@
      DESTINATION ${CMAKE_INSTALL_BINDIR})
   install (FILES ${QM_FILES}
      DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
-  install (FILES ${PROJECT_NAME}.desktop
+  install (FILES org.rncbc.${PROJECT_NAME}.desktop
      DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
   install (FILES images/${PROJECT_NAME}.png
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
   install (FILES images/${PROJECT_NAME}.svg
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
-  install (FILES appdata/${PROJECT_NAME}.appdata.xml
+  install (FILES appdata/org.rncbc.${PROJECT_NAME}.xml
      DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
   install (FILES mimetypes/${PROJECT_NAME}.xml
      DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)

=== debian/changelog ===
qsampler (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * Remove hardening patch, autotools build system have been removed
  * Remove non existing TODO from d/docs
  * Update d/copyright years

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 13 Jan 2022 16:10:37 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  qtbase5-dev,
  qttools5-dev,
  qttools5-dev-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/qsampler.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qsampler
 Homepage: https://qsampler.sourceforge.io/

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,4 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ -Scmake
+	dh $@ -Scmake --disable-qt6
